2019-08-21 22:25 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005449Spring engineGeneralpublic2017-02-04 15:23
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilityrandom
StatusresolvedResolutionfixed 
Product Version103.0 +git 
Target VersionFixed in Version103.0 +git 
Summary0005449: 103.0.1-568-g9fc2560 Frame 0 crash after some reloading
DescriptionSpring crashed at the start of the game after reloading a few times.
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
related to 0005451resolvedKloot 103.0.1-570-gcf3f016 crash near loading or game start 
+Relationships

-Notes

~0017180

Google_Frog (reporter)

Infolog says frame 5.

~0017181

Kloot (developer)

haven't seen this one before:

103.0.1-568-g9fc2560\spring.exe 0x0049886D rts/Game/UI/GuiHandler.cpp 2978
103.0.1-568-g9fc2560\spring.exe 0x00498F9F rts/Game/UI/GuiHandler.cpp 2583
103.0.1-568-g9fc2560\spring.exe 0x004296FA rts/Game/Game.cpp 1314
103.0.1-568-g9fc2560\spring.exe 0x0042E615 rts/Game/Game.cpp 1274
103.0.1-568-g9fc2560\spring.exe 0x0084DD30 rts/System/SpringApp.cpp 869
103.0.1-568-g9fc2560\spring.exe 0x0083609F rts/System/Main.cpp 48
103.0.1-568-g9fc2560\spring.exe 0x00E55834 rts/System/Main.cpp 109

~0017199

Kloot (developer)

eliminated by a250491bc1 (the .reserve added in 580be124d5 exposed it)
+Notes

-Issue History
Date Modified Username Field Change
2017-02-03 06:07 Google_Frog New Issue
2017-02-03 06:07 Google_Frog File Added: infolog.txt
2017-02-03 06:07 Google_Frog Note Added: 0017180
2017-02-03 10:12 Kloot Note Added: 0017181
2017-02-04 13:50 Kloot Relationship added related to 0005451
2017-02-04 14:22 Kloot Assigned To => Kloot
2017-02-04 14:22 Kloot Status new => assigned
2017-02-04 15:23 Kloot Status assigned => resolved
2017-02-04 15:23 Kloot Resolution open => fixed
2017-02-04 15:23 Kloot Fixed in Version => 103.0 +git
2017-02-04 15:23 Kloot Note Added: 0017199
+Issue History